{
    "name": "stiply/stiply-php-sdk",
    "description": "The official PHP SDK for the Stiply API",
    "keywords": ["stiply", "api"],
    "homepage": "https://gitlab.com/4cee/stiply/stiply-php-sdk",
    "type": "library",
    "license": "MIT",
    "minimum-stability": "dev",
    "prefer-stable": true,
    "require": {
        "php": "^7.3 || ^8.0",
        "guzzlehttp/guzzle": "^6.5 || ^7.3",
        "illuminate/support": "^6.0 || ^7.0 || ^8.0",
        "symfony/http-kernel": "^4.0 || ^5.3"
    },
    "require-dev": {
        "phpunit/phpunit": "^9.3",
        "friendsofphp/php-cs-fixer": "^3.1",
        "fakerphp/faker": "^1.9.1",
        "brainmaestro/composer-git-hooks": "^2.8"
    },
    "authors": [
        {
            "name": "Michael Dzjaparidze",
            "role": "Developer"
        }
    ],
    "autoload": {
        "psr-4": {
            "Stiply\\": "src/"
        }
    },
    "autoload-dev": {
        "psr-4": {
            "Tests\\": "tests/"
        }
    },
    "extra": {
        "hooks": {
            "pre-commit": [
                "echo committing as $(git config user.name)",
                "./vendor/bin/php-cs-fixer fix --config=.php-cs-fixer.dist.php -v --using-cache=yes --allow-risky=yes ./"
            ],
            "pre-push": [
                "./vendor/bin/php-cs-fixer fix --config=.php-cs-fixer.dist.php -v --using-cache=yes --allow-risky=yes ./",
                "./vendor/bin/phpunit --bootstrap vendor/autoload.php tests"
            ],
            "post-merge": "composer install"
        }
    },
    "scripts": {
        "post-install-cmd": "./vendor/bin/cghooks add --ignore-lock",
        "post-update-cmd": "./vendor/bin/cghooks update"
    }
}
